Loading...
Searching...
No Matches
casacore::UMaps Class Reference

Define a struct containing the static data members. More...

`#include <UnitMap.h>`

## Public Member Functions

| UMaps ()

## Public Attributes

map< String, UnitName > | mapPref
| Decimal prefix list.
map< String, UnitName > | mapDef
| Defining SI unit list.
map< String, UnitName > | mapSI
| SI unit list.
map< String, UnitName > | mapCust
| Customary list.
map< String, UnitName > | mapUser
| User defined unit list.
Bool | doneFITS
| FITS unit list inclusion.

## Private Member Functions

void | init ()

## Detailed Description

Define a struct containing the static data members.

The static struct object is created in function getMaps to ensure proper static initialization order.

Definition at line 48 of file UnitMap.h.

## Constructor & Destructor Documentation

## UMaps()

casacore::UMaps::UMaps | ( |  | ) |

inline

Definition at line 50 of file UnitMap.h.

References init().

## Member Function Documentation

## init()

void casacore::UMaps::init | ( |  | ) |

private

Referenced by UMaps().

## Member Data Documentation

## doneFITS

Bool casacore::UMaps::doneFITS

FITS unit list inclusion.

Definition at line 62 of file UnitMap.h.

## mapCust

map<String, UnitName> casacore::UMaps::mapCust

Customary list.

Definition at line 58 of file UnitMap.h.

## mapDef

map<String, UnitName> casacore::UMaps::mapDef

Defining SI unit list.

Definition at line 54 of file UnitMap.h.

## mapPref

map<String, UnitName> casacore::UMaps::mapPref

Decimal prefix list.

Definition at line 52 of file UnitMap.h.

## mapSI

map<String, UnitName> casacore::UMaps::mapSI

SI unit list.

Definition at line 56 of file UnitMap.h.

## mapUser

map<String, UnitName> casacore::UMaps::mapUser

User defined unit list.

Definition at line 60 of file UnitMap.h.

The documentation for this class was generated from the following file:

- casa/Quanta/UnitMap.h